Noticias

Cómo Microsoft Update rompe VS Code Editor en Ubuntu

El editor Visual Studio Code de Microsoft ahora incluye un comando de voz Simplemente diga «Hey Code» para iniciar GitHub Copilot Chat”.

Pero un blog de Linux señaló que el editor de repente Fin del soporte para Ubuntu 18.04 LTS – «Una acción causar problemas Para decenas de desarrolladores. »

En VS Code 1.86 (también conocida como actualización de «enero de 2024»), Microsoft aumentó los requisitos mínimos de compilación para las populares herramientas de desarrollo remoto del editor de texto a glibc 2.28, pero Ubuntu 18.04 LTS usa glibc 2.27, por lo que ya no funcionan.

Aunque Canonical admite Ubuntu 18.04 (a través de ESM) hasta 2028, es poco probable que se realice una actualización importante de glibc. Así que este «gran cambio» realmente altera el flujo de trabajo…

Los desarrolladores afectados parecen haber sido tomados por sorpresa, ya que este cambio (bastante impactante) no se marcó antes, durante o después de la actualización de VS Code (que para la mayoría de las personas se instaló automáticamente). y La actualización se envió a las computadoras Ubuntu 18.04). De hecho, la mayoría de las personas sólo descubren este problema después de instalar una actualización, intentar conectarse al servidor remoto y descubrir que falla.El mensaje de error resultante menciona la desaprobación y Enlace de preguntas frecuentes Existe una solución alternativa (es decir, una degradación) en el sitio web de VS Code.

Pero como lo expresó cortésmente un desarrollador… «Podría haber verificado la versión de libc y negarse a actualizar. Ahora, mucha gente está atrapada en el trabajo».

El artículo indica que actualizar a Ubuntu 20.04 LTS resolverá este problema. Un ingeniero de Microsoft en GitHub liberar otras opciones Documentación de VS Code:

LEER  La nueva actualización del kernel de Ubuntu Linux corrige 19 vulnerabilidades, parche ahora

Si no puede actualizar su distribución de Linux, la alternativa recomendada es utilizar nuestro cliente web. Si desea utilizar la versión de escritorio, puede descargar VS Code Versión 1.85. Dependiendo de su plataforma, asegúrese de que las actualizaciones estén deshabilitadas para preservar esa versión.
microsoft en ese momento cierre Las publicaciones en GitHub son «demasiado intensas» y las conversaciones se limitan a los colaboradores.

Alguien en el hilo relacionado. sugerencia Instale Flatpak para VS Code (la versión sigue siendo 1.85) y luego deshabilite las actualizaciones.Pero pronto Microsoft cierre Este hilo, además de ser «demasiado intenso», vuelve a limitar la conversación con los colaboradores.

Publicaciones relacionadas

Deja una respuesta

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *

Botón volver arriba